import request from '@/utils/request';

// 查询综合任务列表
export function listBusinessTask(query: any) {
  return request({
    url: '/customer/businessTask/list',
    method: 'get',
    params: query
  });
}

// 查询综合任务详情
export function getBusinessTask(id: number | string) {
  return request({
    url: '/customer/businessTask/' + id,
    method: 'get'
  });
}

// 新增综合任务
export function addBusinessTask(data: any) {
  return request({
    url: '/customer/businessTask',
    method: 'post',
    data: data
  });
}

// 修改综合任务
export function updateBusinessTask(data: any) {
  return request({
    url: '/customer/businessTask',
    method: 'put',
    data: data
  });
}

// 删除综合任务
export function delBusinessTask(id: number | string | Array<number | string>) {
  return request({
    url: '/customer/businessTask/' + id,
    method: 'delete'
  });
}
